function gameinput (sender,obj_id,attachedID)
  if sender==33 then
  if obj_id==-39 then
    MoveObjectY(6105,-3-106,-3,0.5);
    MoveObjectY(6106,768+115,768-115,0.5);
  return; end;
  if obj_id==-41 then
  delete_tree_leaf("Root","comx2");
      setnextlavel(26);
      loadlavel();
  return; end;
  return;end;
  if sender==28 then
  BlockCursor(false)  
    if obj_id==6105 then
     if flags.firstpluw then
     flags.firstpluw= false
     C_Callaps(6045)
      speciale_action(2,9999);
      speciale_action(2,6104);
      speciale_action(2,6200);
    setcolor(1102,0,0,0,1,1); 
    speciale_action(4,1102);
     return; end;

    speciale_action(2,6205,true)
    speciale_action(2,6045)
    speciale_action(2,6046)
    return;end;
    if obj_id==25 then
      speciale_action(2,25);
      speciale_action(2,23);
      speciale_action(2,24);
      ScaleObject(26,1,1.2);
      addfade(-41,0);
      SetAlfa(-41,0,1,1.5);  
      speciale_action(4,-41)
    return;end;
  return;end;
      if sender==15 then
        if obj_id== 6205 then
        MoveObjectX(25,-800,141,4);  
        MoveObjectX(23,-718,221,4);  
        MoveObjectX(24,-290,652,4);  
        return; end;
      return; end;
    if sender==5 then
     if flags.oneraz then
     flags.oneraz= false
      MoveObjectY(6105,-3,-521,0.5);
      Blocking = true;
      MoveObjectY(6106,768-115,768+115,0.5);
      speciale_action(2,9999);
      speciale_action(2,6104);
      speciale_action(2,6200);  
      setcolor(1102,0,0,0,0,1);
    return; end;
    return; end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
    pause_state=false;
    --set_visible_object(11111,false);
    end;
  return;end;
end
